LOGNAME(1)

NAME
logname - display user's login name

SYNOPSIS
logname

DESCRIPTION
The logname utility writes the user's login name to standard output followed by a newline.

The logname utility explicitly ignores the LOGNAME and USER environment variables because the environment cannot be trusted.

EXIT STATUS

SEE ALSO
who(1), whoami(1), getlogin(2)

STANDARDS
The logname utility conforms to p1003.2-92.

HISTORY
The logname command appeared in 4.4BSD.